package com.huiju.estateagents.common;

import java.math.BigDecimal;

public class NumberUtils {
    /**
     * 元转分（乘以100）
     * @param amount 金额 分（支持大数字，16位以上）
     * @return
     */
    public static Integer yuanToFen(String amount){
        return new BigDecimal(amount).multiply(new BigDecimal(100)).setScale(0, BigDecimal.ROUND_HALF_UP).intValue();
    }

    public static String  fenToYuan(String price) {
        return BigDecimal.valueOf(Long.valueOf(price)).divide(new BigDecimal(100)).toString();
    }
}
